Ubuntu

Memory leak in nm-applet

Reported by Jakub Orlowski on 2010-12-03
516
This bug affects 106 people
Affects Status Importance Assigned to Milestone
Network Manager Applet
Invalid
Undecided
Unassigned
elementary OS
High
Unassigned
network-manager-applet (Ubuntu)
High
Mathieu Trudel-Lapierre

Bug Description

Binary package hint: network-manager

the nm-applet is eating my ram (149MB)
not that much when freshly booted.
im using wifi connection via b43 driver for broadcom 4311/12 hardware (on Lenovo N100 laptop)
on Ubuntu 11.04 natty 32-bit
with 2.6.37-7-generic kernel
indicator applet version 0.4.6-0ubuntu1

rest of the packages are up to date with proposed and backports enabled - no PPAs

Jamie Lawler (jamie-lawler) wrote :

I've also got this. After 6 hours nm-applet is using 205MB of ram.
Also with updated natty, x86_64 and iwlagn wireless and sky2 (I think) wired.

Nobu (benjo316) wrote :

Stats for nm-applet according to top:
VIRT 1086m
RES 531m
SHR 3888
%MEM 35.4
TIME+ 19:36.79

Pretty serious, considering I only have 1.5GiB (*cringe*) of ram. Chrome just crashed because of it.

Nobu (benjo316) wrote :

Oh, I'm on Natty, too.
My swap space is virtually full.

$ free -m
             total used free shared buffers cached
Mem: 1501 1460 41 0 2 192
-/+ buffers/cache: 1265 236
Swap: 509 502 7

Stephen Cradock (s-cradock) wrote :

Yes, I can confirm this - nm-applet is using 60+MB of memory, steadily increasing over the last 10 minutes from about 53MB.

Natty, with Unity running, all up-to-date 12/04/2010.

Marking as confirmed......

Changed in network-manager (Ubuntu):
status: New → Confirmed
Daniel Swarbrick (pressureman) wrote :

If you look in your ~/.xsession-errors you will also see a steady stream of errors from nm-applet:

(nm-applet:1648): Gtk-CRITICAL **: IA__gtk_image_get_storage_type: assertion `GTK_IS_IMAGE (image)' failed

(nm-applet:1648): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(nm-applet:1648): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

(nm-applet:1648): Gtk-CRITICAL **: IA__gtk_image_get_storage_type: assertion `GTK_IS_IMAGE (image)' failed

(nm-applet:1648): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(nm-applet:1648): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

(nm-applet:1648): Gtk-CRITICAL **: IA__gtk_image_get_storage_type: assertion `GTK_IS_IMAGE (image)' failed

(nm-applet:1648): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(nm-applet:1648): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

(nm-applet:1648): Gtk-CRITICAL **: IA__gtk_image_get_storage_type: assertion `GTK_IS_IMAGE (image)' failed

(nm-applet:1648): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(nm-applet:1648): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

I suspect every time it updates the WiFi signal strength icon in the panel, it's leaking memory.

Quackers (quackers) wrote :

currently using 203MB on my system after 6 hours uptime

sojourner (itsmealso2) wrote :

I started system monitor right after boot and nm-applet was using 6.8MB it has been increasing at 0.1MB every 10>15 seconds this could get out of hand in a hurry on a low resource system .

Dave Efflandt (efflandt) wrote :

I am using wired and nm-applet is leaking. So it is not necessarily wireless related unless it is doing something with my wireless when a wired connection is established, and no wireless connections are configured.

vulfgar (vulfgar) wrote :

I'm using natty 64bit on a wireless network and nm-appelt currantly uses 1,3 GB RAM after 4 days uptime.
I have the same errors as reported by Daniel Swarbrick

Eric Appleman (erappleman) wrote :

This needs immediate attention.

Changed in network-manager (Ubuntu):
status: Confirmed → Opinion
status: Opinion → Confirmed
Stefano Rivera (stefanor) wrote :

Bumping this to high, it leaks fast enough to bring a desktop to its knees within a day.

This first started when nm-applet started using app-indicator.

Changed in network-manager (Ubuntu):
importance: Undecided → High
Changed in network-manager (Ubuntu):
assignee: nobody → Mathieu Trudel-Lapierre (mathieu-tl)
status: Confirmed → In Progress

I've already been looking at it for a little while, even got a patch that makes it a little less worse, but there's more that needs to be done there. Much of the issues probably come from the fact the menu needs to be created and destroyed so frequently, but I couldn't come up with a better solution yet.

sojourner (itsmealso2) wrote :

pardon my ignorance but why is the menu being created and destroyed ? shouldn't it be static unless there is a change of state ? IE: a wired connection is plugged or unplugged or a wireless connection becomes (un)available ?

sojourner (itsmealso2) wrote :

this issue seems resolved on my system as of dec 12 , not sure which update did it but no memory leak , after 7 hrs runtime memory usage the same as at startup .

Jakub Orlowski (jakub-o) wrote :

seems to work fine now
3,4MB after a couple of hours. i guess it can be closed. any objections?

sojourner (itsmealso2) wrote :

some people on the natty forum are still seeing a small leak after 24hrs , best hold off closing this for a couple of days .

sojourner, Jakub, thanks for confirming that it's at least a little better now -- I uploaded a reworked patch that listens to signals from NM before updating the menu, instead of doing this on fixed intervals. I suspect there is still an issue either in nm-applet itself, or in libappindicator (or another related library), but I can't tell exactly where. To know you're using the updated nm-applet, confirm you are running network-manager-gnome version 0.8.3+git.20101209t081952.0330eca-0ubuntu1.

Regardless, I'm keeping this open hopefully for the duration of the development cycle for natty (or until the patch is adopted upstream) so that we can track progress.

As for remaining aspects that seem to leak: opening dialogs off the menu appear to generate a rather high increase and no freeing (though I think the dialogs are kept rather than recreated), with a few bytes more every next opening of the same dialog. There is also a slight increase after a while running, particularly with multiple wireless APs in the list. This still needs to be investigated more.

Reassigning to network-manager-applet since it's clearly the culprit, and putting back in Triaged since I'm not actively looking at the code now, but will go back regularly. Any help in looking through nm-applet code is of course welcome :)

affects: network-manager (Ubuntu) → network-manager-applet (Ubuntu)
Changed in network-manager-applet (Ubuntu):
status: In Progress → Triaged
sojourner (itsmealso2) wrote :

confirming that network-manager-gnome version 0.8.3+git.20101209t081952.0330eca-0ubuntu1 is the one I have installed .

vulfgar (vulfgar) wrote :

I've upgraded to this version 0.8.3+git.20101209t081952.0330eca-0ubuntu1 and it doesn't seem to leak anymore. Nm-applet used 4.4 MiB when it was started this morning and it's still 4.4 MiB 12 hours later. :)

Nusret (nusretbalci) wrote :

My natty installation is fully up-to-date: nm-applet leaks memory insanely. However, if I disable the wireless, the leak stops. Maybe #5 is right; at least it seems so in my case.

Daniel Swarbrick (pressureman) wrote :

This is still a problem. Whatever is referring to a null pointer is now somewhere else in the code, as the line number has changed.

(nm-applet:1939): Gtk-CRITICAL **: IA__gtk_image_get_storage_type: assertion `GTK_IS_IMAGE (image)' failed

(nm-applet:1939): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(nm-applet:1939): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

What are the requirements to build nm-applet from source? I'm thinking of rolling up my sleeves and fixing this one myself.

Daniel, nusret,

Please confirm which version of network-manager-gnome you are using. It might still leak, but it's definitely a different issue in a different place in the code. I'd also need to know if you use wifi, 3g, ethernet, etc. It's all relevant to what could be causing issues.

Daniel,

The problem is that this is not necessarily directly related to the issue. It probably doesn't help, but this isn't even really code in nm-applet -- it's stuff that is done in libappindicator. The number there is not a line number, but the PID of the application. If you want to help looking at the problem though, you can take a look at lp:~network-manager/network-manager-applet/ubuntu.head. It contains the debian directory and the patches that are applied to nm-applet.

Daniel Swarbrick (pressureman) wrote :

ii network-manager 0.8.3+git.20101219t181118.e919218-0ubuntu1 network management framework daemon
ii network-manager-gnome 0.8.3+git.20101209t081952.0330eca-0ubuntu2 network management framework (GNOME frontend)

I think this problem is pretty easy to reproduce. Do the devs / bug marshalls all have wired connections? Maybe they're not seeing this bug because of that. It just needs to be tested on a WiFi connection, whose signal strength fluctuates a little bit and you'll basically get something like this each time the signal strength icon "refreshes":

(nm-applet:1646): Gtk-CRITICAL **: IA__gtk_image_get_storage_type: assertion `GTK_IS_IMAGE (image)' failed

(nm-applet:1646): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(nm-applet:1646): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

(nm-applet:1646): Gtk-CRITICAL **: IA__gtk_image_get_storage_type: assertion `GTK_IS_IMAGE (image)' failed

(nm-applet:1646): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(nm-applet:1646): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

I say "refreshes" in quotes, because the icon doesn't actually refresh. It shows full signal strength the whole time, and I know that is not true. I also noticed a while back that the "radiating semi-circles" icon no longer pulsates during the WiFi connect stage, like it used to. It's just static, and then blam, you're connected.

These are all reasons why I think the code that updates the icon in the panel is broken.

Daniel, I believe found what you're referring to. I think it's not due to WiFi but to GSM/CDMA. Since I was planning on uploading a ubuntu3 revision today, I'll try to put this in as well.

Daniel,

I've uploaded network-manager-gnome 0.8.3+git.20101209t081952.0330eca-0ubuntu3 today. I believe it will fix the errors you're seeing in .xsession-errors. Please let me know how much the situation improves (or if it degrades, obviously) for you. Thanks!

Daniel Swarbrick (pressureman) wrote :

Mathieu,

I have just updated to that latest version. The GLib-GObject-WARNING in ~/.xsession-errors seems to have stopped, although I'm testing on a different AP (which is literally in a rack right behind me, so the signal strength may not be fluctuating at all). I will check again when I get home.

I'm not convinced that the memory leak in nm-applet is resolved however, since I've watched it slowly increase from a memory usage of 5.3 to 5.6 MB, just while writing this comment. I'll check that again in an hour or so, and if it hasn't substantially increased from its current memory footprint, I'll update this bug again.

vulfgar (vulfgar) wrote :

I had my computer going a full week and the memory use increased from 4.3 MiB to 5.6 MiB during that time.

Daniel Swarbrick (pressureman) wrote :

Ok, well it's been running for about an hour, and memory utilization has increased from 5.3 MB to 11.1 MB. If it keeps leaking at this rate, it will use close to a gigabyte after 7 days. Fortunately it's a notebook, and never turned on for more than about 16 hours at a stretch.

I'm also now getting errors like the following, in ~/.xsession-errors:

** (nm-applet:1646): WARNING **: _nm_object_get_property: Error getting 'Flags' for /org/freedesktop/NetworkManager/AccessPoint/44: (19) Method "Get" with signature "ss" on interface "org.freedesktop.DBus.Properties" doesn't exist

** (nm-applet:1646): WARNING **: _nm_object_get_property: Error getting 'WpaFlags' for /org/freedesktop/NetworkManager/AccessPoint/44: (19) Method "Get" with signature "ss" on interface "org.freedesktop.DBus.Properties" doesn't exist

** (nm-applet:1646): WARNING **: _nm_object_get_property: Error getting 'RsnFlags' for /org/freedesktop/NetworkManager/AccessPoint/44: (19) Method "Get" with signature "ss" on interface "org.freedesktop.DBus.Properties" doesn't exist

** (nm-applet:1646): WARNING **: _nm_object_get_property: Error getting 'WpaFlags' for /org/freedesktop/NetworkManager/AccessPoint/45: (19) Method "Get" with signature "ss" on interface "org.freedesktop.DBus.Properties" doesn't exist

** (nm-applet:1646): WARNING **: _nm_object_get_property: Error getting 'WpaFlags' for /org/freedesktop/NetworkManager/AccessPoint/30: (19) Method "Get" with signature "ss" on interface "org.freedesktop.DBus.Properties" doesn't exist

** (nm-applet:1646): WARNING **: _nm_object_get_property: Error getting 'WpaFlags' for /org/freedesktop/NetworkManager/AccessPoint/53: (19) Method "Get" with signature "ss" on interface "org.freedesktop.DBus.Properties" doesn't exist

Wash, rinse, repeat.

Leif Walsh (leif.walsh) wrote :

Running for 3 minutes in valgrind produced the following pretty massive logfile. Hopefully someone can make some sense of it. I opened the menu and clicked Edit Connections..., this seemed to produce a lot of errors on its own, but many are there regardless.

Leif Walsh (leif.walsh) wrote :

That was with the following versions:

network-manager-gnome:
  Installed: 0.8.2+git.20101123t161608.f143e76-0ubuntu1
  Candidate: 0.8.2+git.20101123t161608.f143e76-0ubuntu1
  Version table:
 *** 0.8.2+git.20101123t161608.f143e76-0ubuntu1 0
        500 http://ppa.launchpad.net/elementaryart/elementarydesktop/ubuntu/ maverick/main amd64 Packages
        100 /var/lib/dpkg/status
     0.8.1+git.20100809t190028.290dc70-0ubuntu3 0
        500 http://ubuntu.media.mit.edu/ubuntu/ maverick/main amd64 Packages

network-manager:
  Installed: 0.8.1+git.20100810t184654.ab580f4-0ubuntu2
  Candidate: 0.8.1+git.20100810t184654.ab580f4-0ubuntu2
  Version table:
 *** 0.8.1+git.20100810t184654.ab580f4-0ubuntu2 0
        500 http://ubuntu.media.mit.edu/ubuntu/ maverick/main amd64 Packages
        100 /var/lib/dpkg/status

Looks like I'm using a network-manager-gnome from a ppa. This is the app-indicator version. If anyone wants to see it with a different version, just link me to a deb I can install and I'll re-run it.

Jimmy Merrild Krag (beruic) wrote :

Maverick confirmed here too...

Jimmy Merrild Krag (beruic) wrote :

What info can I report further and how?

Jimmy Merrild Krag (beruic) wrote :

From lspci:
09:00.0 Ethernet controller: Broadcom Corporation NetLink BCM5906M Fast Ethernet PCI Express (rev 02)
0c:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG [Golan] Network Connection (rev 02)

Jimmy Merrild Krag (beruic) wrote :

Is there a temporary fix for this?
I'm low enough on RAM for my work as it is already, so I could really be without this memory leak.

Jimmy Merrild Krag (beruic) wrote :

Btw. I think indicator-applet might have issues as well. Not as pronounced though.

Jimmy Merrild Krag (beruic) wrote :

Quick fix: install indicator-network, and disable nm-applet. Works for me, but indicator-network is not as user friendly or feature rich as nm-applet.

Jimmy Merrild Krag (beruic) wrote :

Hello. After further investigation I found out the following:
---
In Maverick the current version for network-manager-gnome is 0.8.1+git.20100809t190028.290dc70-0ubuntu3

I found out that my network-manager-gnome package was an upgraded one from ppa:elementaryart/elementarydesktop, namely version 0.8.2+git.20101123t161608.f143e76-0ubuntu1

I downgraded to the default. Result:
 - Memory leak is MUCH LESS SIGNIFICANT. Before, I could follow increases in memory use by the minute, now there's almost no increase (It's been on 4.8 mb for half an hour now). I have yet to test with very long runtime, but as mentioned I suspect indicator-applet to have a general issue as well, but I'll leave that to the experts.
 - Icons for signal strength of detected networks are back (just noticed that they were missing with the upgrade).
 - Icons for signal strength are screwed again when using the Elementary Dark theme, but this is not really a big issue.

---
Btw.: to remove the quick fix I posted, remember to remove the connman package and reboot.

Jimmy Merrild Krag (beruic) wrote :

Can any of the above posters confirm or refute my findings?

Vonschutter (stephan-schutter) wrote :

it grows to over a gig for me on Ubuntu x64... insane... also only loads once: like it is modal. If I log on as another user on the same machine... nm-applet will not start. bad bad applet!

vulfgar (vulfgar) wrote :

It doesn't leak that much for me in natty 64-bit, in about 12 hours its memory use has increased från 4,3 to about 5 MiB. Recently it's begun to stop after about 10 to 15 hours uptime. It happened again today From syslog:

Jan 25 14:23:13 localhost kernel: [56320.854230] nm-applet[1761]: segfault at 1 ip 00007f4379db9d00 sp 00007fffd596e3b8 error 4 in libgtk-x11-2.0.so.0.2390.0[7f4379ca6000+47f000]

File version is network-manager-applet (0.8.3+git.20110114t131931.fd589a7-0ubuntu3) natty

Karl Lattimer (karl-qdh) wrote :

Can those experiencing this bug please report on whether or not they have menu icons displayed?

Daniel Swarbrick (pressureman) wrote :

I have icons displayed (using gnome classic desktop). I'm also fairly convinced (as I've pointed out several times in this report already) that the rate of the memory leak is exacerbated when on a WiFi connection. I use a wired ethernet connection at work, and the leak is barely perceptible. However at home, on my WiFi connection, nm-applet memory usage can easily get into the hundreds of megabytes after a full day.

I think this has to do with the fact that the icon is not updating when on a wired connection, whereas the icon is updated as the WiFi signal strength fluctuates.

Tranciur (damjan-cvetko) wrote :

I see the icon but when the VPN service is on, the icon dissapears and only the lock can be seen. Also, after random time, the nm-applet stops working. The memory issue is the same - eating a lot of ram as is runs. Running Maverick 64bit

Daniel Fore (danrabbit) on 2011-01-29
Changed in elementaryos:
importance: Undecided → High
status: New → Confirmed
Danny Green (green-dannym) wrote :

I can confirm this also. Recent installs on 3 different machines, all with similar results.

Home PC - desktop, 64 bit Maverick(Pinguy version), 2 gig ram, wired ethernet, no wireless installed 38 hours=nm-applet at 722.6M and continuing to grow. As stated above, about .1 every 10-15 seconds. .xsession-errors file full of same errors listed above, current file size of 82.5M. network-manager-gnome version installed is 0.8.2+git.20101123t161608.f143e76-0ubuntu1

Work PC - desktop, 32 bit Maverick, fully updated, 1 gig ram, wired ethernet, no wireless installed, after 3 days, memory usage was over 92% and swap file (10G) was at 95%. and completely unresponsive. At the time did not know about this issue, so did not look further. Not sure what network-manager-gnome version installed

Laptop, 64 bit Maverick, 2 gig ram, wireless and wired, never connect wired since reboot, after 36 hours uptime, nm-applet memory usage at 8.2M and holding. No nm-applet errors in .xsession-errors file, file size of 18.2K. network-manager-gnome version installed is 0.8.2+git.20100809t190028.290dc-0ubuntu3

All 3 machines are using the default desktop so the icon is being used. The laptop is a fresh install and has not had any of the updates installed. I will do that next and see if the problem comes up with an updated network-manager-gnome. I do seem to recall though that when I had Pinguy(an ubuntu derivative that uses the newer network-manager-gnome) installed on the laptop I had the same horrible memory leak. I originally blamed the problem on conky as I had never used that app before and had never had the memory problem. However, I am now running the conky app with the vanilla Maverick and am not experiencing any of the memory problems.

I hope this helps.

Jimmy Merrild Krag (beruic) wrote :

After I downgraded from the ppa-version I had (see post 38), the memory leak is as far as I can see, gone from my computer, but I reboot now and then to get sound on HDMI working, mostly I sleep.
Is this issue specific to some hardware, or have I just not enough uptime?

Danny Green (green-dannym) wrote :

Update: (see #45 above) Just checked my wife's laptop, 64bit Ubuntu(Pinguy version) NOT updated, wireless only, network-manager-gnome version 0.8.2+git.20100809t190028.290dc-0ubuntu3. Has been up for over 4 day and nm-applet usage is at 8.3M and has never changed. Checking the updates available shows the network-manager-gnome is updateable to 0.8.2+git.20101123t161608.f143e76-0ubuntu. I am going to test by updating this package only and see if the problem pops up.

Danny Green (green-dannym) wrote :

I can now verify that the problem has something to do with the 20101123 package. My work computer (see #45) had nm-applet increasing in memory usage at a rate of .1M every 13-15 seconds and an almost continuous stream of error messages in in the .xsession-errors file. I downgraded network-manager-gnome to the 20100809 version and all of that has stopped. No error messages in .xsessons-errors, and after 3 hours of uptime, the memory for nm-applet is still at 2.8M, exactly where it was on boot up.

I hope this is of some benefit.

Jason (jason-willson) wrote :

I've confirmed that downgrading to the 0.8.1+git.20100809t190028.290dc70-0ubuntu3 from 0.8.2+git.20101123t161608.f143e76-0ubuntu1, followed with a reboot, has alleviated the memory leak issue. The nm-applet was eating up roughly 834mb by the time I found this bug!

OS: Ubuntu 10.10 (maverick)
Kernel: Linux 2.6.35-26-generic
DE: GNOME 2.32.0
RAM: 3.9GiB
Processor: AMD Athlon 64 X2 Dual Core Processor 5000+

Ok there is just no point in keeping this bug open any longer : the issue is resolved in Natty, the remaining issues appear to be caused by users of some PPA which uses an outdated copy of nm-applet (elementaryart's elementary-desktop PPA, from what I can tell).

Marking Fix Released for Natty.

In Maverick, you can downgrade to the official package from the archive (sudo apt-get install network-manager-gnome/maverick).

Changed in network-manager-applet (Ubuntu):
status: Triaged → Fix Released
Geoff (geoffch) wrote :

I have the same problem of steadily increasing memory usage (about 100MB increase per day) by nm-applet on my desktop system that has two ethernet NICs and no wireless, a TAP device created by OpenVPN and a vboxnet device for VirtualBox. Both ethernet NICs are listed in /etc/network/interfaces so they don't need to be managed. I am not getting messages related to nm-applet or any other network-related messages in ~/.xsession-errors however. I am using version 0.8.1+git.20100809t190028.290dc70-0ubuntu3 which I thought was the official version of the package for maverick. I could downgrade to another version if I knew which one to try.

Yasin Uslu (nepjua) wrote :

when i see the memory maps of nm-applet, its' 95 percent of ram usage seems [heap], i thought it could help.

Jeff (ahjefri) wrote :

This is to confirm that nm-applet consumed more than 300 MB I have noticed great degrade in performance in my laptop which made me investigate further,,

I do agree with Jimmy, downgrade did fix the problem

sudo apt-get install network-manager-gnome=0.8.1+git.20100809t190028.290dc70-0ubuntu3

now it is fixed on 3.3 MB

ubuntu 10.10

Jeff (ahjefri) wrote :

This an update of my previous post, I did suspend to my laptop and signed again the memory went up to 8.3 MB, I repeated the process again still at 8.3 MB. I had the same issue with my other laptop which was 0.8.2+git.20101123t161608.f143e76-0ubuntu1,, Both were using wireless. 0.8.1+git.20100809t190028.290dc70-0ubuntu3 version is still by far better than the buggy updated one 0.8.2+git.20101123t161608.f143e76-0ubuntu1.

Geoff (geoffch) wrote :
Download full text (4.5 KiB)

Here is output from the command
sudo pmap -d `pgrep nm-applet` | grep -v '\.so'

Desktop:

3461: nm-applet --sm-disable
Address Kbytes Mode Offset Device Mapping
001e9000 8 rw--- 0000000000000000 000:00000 [ anon ]
003af000 4 rw--- 0000000000000000 000:00000 [ anon ]
00461000 8 rw--- 0000000000000000 000:00000 [ anon ]
00659000 8 rw--- 0000000000000000 000:00000 [ anon ]
00785000 4 rw--- 0000000000000000 000:00000 [ anon ]
007b8000 8 rw--- 0000000000000000 000:00000 [ anon ]
009bd000 4 r-x-- 0000000000000000 000:00000 [ anon ]
00a96000 8 rw--- 0000000000000000 000:00000 [ anon ]
01298000 8 rw--- 0000000000000000 000:00000 [ anon ]
013f4000 12 rw--- 0000000000000000 000:00000 [ anon ]
0677c000 4 rw--- 0000000000000000 000:00000 [ anon ]
08048000 368 r-x-- 0000000000000000 008:00002 nm-applet
080a4000 4 r---- 000000000005b000 008:00002 nm-applet
080a5000 4 rw--- 000000000005c000 008:00002 nm-applet
0939a000 1436 rw--- 0000000000000000 000:00000 [ anon ]
a8ed0000 12676 r---- 0000000000000000 008:00002 icon-theme.cache
a9b31000 12676 r---- 0000000000000000 008:00002 icon-theme.cache
aa792000 35496 r---- 0000000000000000 008:00002 icon-theme.cache
aca3c000 35496 r---- 0000000000000000 008:00002 icon-theme.cache
aece6000 35496 r---- 0000000000000000 008:00002 icon-theme.cache
b2852000 100 r--s- 0000000000000000 008:00002 mime.cache
b286b000 35496 r---- 0000000000000000 008:00002 icon-theme.cache
b4b15000 35496 r---- 0000000000000000 008:00002 icon-theme.cache
b6dbf000 4 ----- 0000000000000000 000:00000 [ anon ]
b6dc0000 8192 rw--- 0000000000000000 000:00000 [ anon ]
b75c0000 2048 r---- 0000000000000000 008:00002 locale-archive
b77c0000 68 rw--- 0000000000000000 000:00000 [ anon ]
b77e3000 4 r--s- 0000000000000000 008:00002 mime.cache
b77e4000 4 r--s- 0000000000000000 008:00004 mime.cache
b77e5000 4 r---- 00000000002a1000 008:00002 locale-archive
b77e6000 4 rw--- 0000000000000000 000:00000 [ anon ]
bf87e000 132 rw--- 0000000000000000 000:00000 [ stack ]
mapped: 234684K writeable/private: 10260K shared: 108K

Laptop:

2393: nm-applet --sm-disable
Address Kbytes Mode Offset Device Mapping
002b1000 4 rw--- 0000000000000000 000:00000 [ anon ]
0037d000 8 rw--- 0000000000000000 000:00000 [ anon ]
006b6000 8 rw--- 0000000000000000 000:00000 [ anon ]
00737000 4 r-x-- 0000000000000000 000:00000 [ anon ]
0074a000 8 rw--- 0000000000000000 000:00000 [ anon ]
00881000 8 rw--- 0000000000000000 000:00000 [ anon ]
00c10000 4 rw--- 0000000000000000 000:00000 [ anon ]
00f90000 8 rw--- 0000000000000000 000:00000 [ anon ]
013a5000 8 rw--- 0000000000000000 000:00000 [ anon ]
01dee000 12 rw--- 0000000000000000 000:00000 [ anon ]
05d5a000 4 rw--- 0000000000000000 000:00000 [ anon ]
08048000 368 r-x-- 0000000000000000 008:00005 nm-applet
080a4000 4 r---- 000000000005b000 008:00005 nm-applet
080a5000 ...

Read more...

Geoff (geoffch) wrote :

Sorry about posting twice in a row. Somehow my the previous one was sent before I hit the "Post Comment" button. Anyway, I notice that nm-applet is not the only Gnome application with this problem, but it seems to be the most susceptible. The problem is that the file "icon-theme.cache" is mapped into memory multiple times. Initially it is mapped twice (and on my desktop machine there seem to be two different-sized files each mapped twice. Then, over time, the same file is mapped again and again into more memory. As I understand it, this file is supposed to be mapped into shared memory. However, none of the Gnome appplications seem to do so. If this were fixed in all of the Gnome applications that used it, then a ton of memory would be saved. BTW, both my desktop and laptop have the same pentium "coppermine" cpu and 512 MB of RAM.

pranith (bobby-prani) wrote :

I can confirm this on my laptop. Any help debugging this will be done. My nm-applet was eating 2.5 GB when I had to kill it... Happened thrice this week. It was running for 3 days to reach that point...

xzy3186 (xzy3186) wrote :

I have been focusing on this issue for months and it seems that the problem have not been fixed yet. I hope this could be quickly solved so that I am able to delete Notification-Area from my Gnome-Panel.

seventhreign (seventhreign) wrote :

nm-applet still consuming 2+ GB of Memory as of March 11 2011.

JGJoy (freyjoy) wrote :

For those of you having issues, have you confirmed you do not have a bad version installed? See the output of "apt-cache policy network-manager-gnome" . If you see a ppa there, or if your version is coming from a ppa, see comment #50 .

It's only the version from the elementarydesktop ppa, correct?

Geoff (geoffch) wrote :

Yes, to confirm I am using version 0.8.1+git.20100809t190028.290dc70-0ubuntu3 ... not from a ppa. Another clue: The two machines I am having issues on are old Pentiums with RAM maxed out at 512MB, running the standard kernel. My new laptop with Core i3 and 4GB RAM, running the PAE kernel doesn't have the problem.

Avi Romanoff (aroman) wrote :

We (elementary) removed the package from the PPA, so the bug is marked as fixed on lp:elementaryos.

Changed in elementaryos:
status: Confirmed → Fix Released
gorgekara (gorgekara) wrote :

I have the problem on my laptop - after few hours the nm-applet gets up to 390MiB. I'm using linux mint 10 x64 and the version of the applet is 0.8.3.

Maddy (nmadhava) wrote :

Same issue on mine, it consumes about 200Megs of RAM.
OS: Ubuntu 10.10 x86
NM_Applet: 0.8.2

--
Madhava N

Jed Curtis (jedcurtis) wrote :

After applying what I learned from this bug report, I have evidently correctly fixed this issue on my laptop. After around 48 to 72 hours I was using around 8 Gb of Ram. All I had! Now after about 48 hours only using around 1 and a half Gb. Seems as fast as it used to. Hopefully this is fixed.
Jed

Not a bug in the upstream code.

Changed in network-manager-applet:
status: New → Invalid
demilord (demilord) wrote :

Still in Natty as of may 29th.. it keeps leaking memory after a hour it grew from 4MB to 12MB

yellowbkpk (ian-dees) wrote :

Still getting this off and on. It's currently sitting at ~600MB or so of RAM. I'm in Classic GNOME rather than Unity.

My ~/.xsession-errors has 17k lines of this:

** (nm-applet:1623): WARNING **: _nm_object_get_property: Error getting 'RsnFlags' for /org/freedesktop/NetworkManager/AccessPoint/8246: (19) Method "Get" with signature "ss" on interface "org.freedesktop.DBus.Properties" doesn't exist

** (nm-applet:1623): WARNING **: _nm_object_get_property: Error getting 'WpaFlags' for /org/freedesktop/NetworkManager/AccessPoint/8254: (19) Method "Get" with signature "ss" on interface "org.freedesktop.DBus.Properties" doesn't exist

I'm on a Lenovo T61p. lspci lists the following for my wireless:
03:00.0 Network controller: Intel Corporation PRO/Wireless 4965 AG or AGN [Kedron] Network Connection (rev 61)
 Subsystem: Intel Corporation Lenovo ThinkPad T51
 Flags: bus master, fast devsel, latency 0, IRQ 48
 Memory at df2fe000 (64-bit, non-prefetchable) [size=8K]
 Capabilities: <access denied>
 Kernel driver in use: iwlagn
 Kernel modules: iwlagn

Finally, there are several dozen access points broadcasting in my area. When I click the wireless notifier there are 5 networks listed with a "More Networks >" item that opens to a blank submenu (screenshot attached). Perhaps someone's trying to write to a non-existent menu item?

Let's reopen the bug then.

Luigi (luigi-peachovsky) wrote :

Is there a fix for this? Or a workaround?

I can confirm this is still an issue on Ubuntu 11.04 64bit.

Kevin (kdauria-gmail) wrote :

I'm using Maverick at the moment. I'm using a lenovo thinkpad that has switch to turn wireless on or off. Normally, I don't have a problem with nm-applet. However, when I switch the wireless off, switch it back on, and then wait a day, nm-applet takes over 600 MB of RAM. I'm not sure what the problem could be, but hopefully this information helps someone figure it out.

Vasil Kolev (vasil-ludost) wrote :

I can confirm this with natty, 64 bit.

vasil@shrike:~$ apt-cache policy network-manager-gnome
network-manager-gnome:
  Инсталирана: 0.8.4~git.20110318t152954.9c4c9a0-0ubuntu1
  Кандидат: 0.8.4~git.20110318t152954.9c4c9a0-0ubuntu1
  Таблица с версиите:
 *** 0.8.4~git.20110318t152954.9c4c9a0-0ubuntu1 0
        500 http://bg.archive.ubuntu.com/ubuntu/ natty/main amd64 Packages
        100 /var/lib/dpkg/status
     0.8-0ubuntu3 0
        500 http://bg.archive.ubuntu.com/ubuntu/ lucid/main amd64 Packages

Just before the last reboot it was 600MB (I usually just kill and restart it, but some kernel updates had to be applied).

alexds9 (alexds9) wrote :

I am using Lubuntu 11.04,
kernel: 2.6.38-11-generic.
nm-applet is 120+ MB right after log in, and growing.

apt-cache policy network-manager-gnome
network-manager-gnome:
  Installed: 0.8.4~git.20110318t152954.9c4c9a0-0ubuntu1
  Candidate: 0.8.4~git.20110318t152954.9c4c9a0-0ubuntu1
  Version table:
 *** 0.8.4~git.20110318t152954.9c4c9a0-0ubuntu1 0
        500 http://cz.archive.ubuntu.com/ubuntu/ natty/main i386 Packages
        100 /var/lib/dpkg/status

Stas (ivaschenko-stas) wrote :

I got this bug in Natty with 0.8.4~git.20110318t152954.9c4c9a0-0ubuntu1
Anyway I'm just telling people to use wicd, it is so much better for everyday use.

NM was never good enough even for simple network setup, few years ago it was better to configure everything manually, now it is still better to use wicd or something else that works. I cannot understand why have you taken NM into Ubuntu? Just because it has nice gnome-applet and palsma-applet in KDE? Sure it does, however it still works really bad as of 2011.

Santiago Romero (sromero) wrote :

 Same happening here in Linux Mint based based on Ubuntu 11.04.

 In case it helps the info:

sromero@compiler ~ $ free
             total used free shared buffers cached
Mem: 4991616 2701948 2289668 0 11892 280936
-/+ buffers/cache: 2409120 2582496
Swap: 4194300 3002116 1192184

sromero@compiler ~ $ top

top - 12:19:29 up 9 days, 23:12, 2 users, load average: 0.29, 1.14, 0.87
Tasks: 178 total, 2 running, 174 sleeping, 0 stopped, 2 zombie
Cpu(s): 0.5%us, 2.2%sy, 0.0%ni, 97.3%id, 0.0%wa, 0.0%hi, 0.0%si, 0.0%st
Mem: 4991616k total, 2701248k used, 2290368k free, 12208k buffers
Swap: 4194300k total, 3000832k used, 1193468k free, 275884k cached

  PID USER PR NI VIRT RES SHR S %CPU %MEM TIME+ COMMAND
 1905 sromero 20 0 4712m 1.5g 6296 S 0 31.2 11:17.12 nm-applet
 1200 root 20 0 210m 43m 4600 S 6 0.9 190:42.28 Xorg
  946 sromero 20 0 558m 34m 20m S 1 0.7 0:02.77 nautilus

sromero@compiler ~ $ killall nm-applet

sromero@compiler ~ $ free
             total used free shared buffers cached
Mem: 4991616 800552 4191064 0 13588 295036
-/+ buffers/cache: 491928 4499688
Swap: 4194300 199588 3994712

Niels Elgaard Larsen (elgaard) wrote :

It is still here in 11.10 Oneriric

On my AC100 nm-applet is after one hour eating 185 MByte - out of 500 MByte and no swap.

The rt28xx driver is very unreliable, so nm-applet is quite active.

axion (bugzilla-axion) on 2011-10-25
Changed in network-manager-applet:
status: Invalid → Confirmed
axion (bugzilla-axion) wrote :

nm-applet still leaks lots of memory, I have seen growths of more then 1.0GB. Today I had to restart nm-appplet after 3 days, it was consuming upwards of 300MB. This problem is very persistent, has not gone away in any update,

currently I am using:

network-manage 0.8.4~git.20110319t175609.d14809b-0ubuntu3

I have confirmed this same behavior on more then 5 systems varying from newly installed systems, to always upgraded systems even on G4-ppc systems. From wireless-free systems to wired-only systems memory growth bug consistently active on all.

Changed in network-manager-applet:
status: Confirmed → Invalid
Jimmy Merrild Krag (beruic) wrote :

So far the issue is resolved for me in Oneiric. I have nm-applet at 3 MiB now (which is amazing!), but then again I have an cable connection in my machine right now as well. I'll keep an eye on it when I work wireless again.

axion (bugzilla-axion) wrote :

Check my top:

  PID USER PR NI VIRT RES SHR S %CPU %MEM TIME+ COMMAND
29777 axion 20 0 292m 49m 2756 S 0 2.5 4:02.15 nm-applet

I have one wireless adaptor, which is not connected to a network. I am only using the wired connection.

Julien RD (colonel-jrd) wrote :

I insist together with axion.
nm-applet is critically leaking memory (tops 300Mb to 500Mb).
Usage of my Xubuntu as a server while opening a desktop environment is consequently impossible : my 3Gb of RAM memory are filled within the day.

More generaly, some other desktop applets seem leaking memory as well, this is maybe not a network-manager error it seems (update-notifier and xfce4-volumed a minima, looks like)

Regards.

Martin Spacek (mspacek) wrote :

Perhaps bug # 780602 be marked as a duplicate of this one? I'd love to see this finally fixed in natty.

Martin Spacek (mspacek) wrote :

As commented in bug #780602, this is most definitely *not* fixed in Natty. Since this was originally reported against Natty, and since Natty remains supported, shouldn't the status be "Confirmed", and not "Fix Released". Or if the status only applies to the latest release, how do we mark that it's still broken for a previous release like Natty?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions